Bug 317494 - Port EntityModel to KPeople
Summary: Port EntityModel to KPeople
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: log-viewer (show other bugs)
Version: git-latest
Platform: Other Linux
: NOR wishlist
Target Milestone: 0.7-beta
Assignee: Daniel Vrátil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-28 15:32 UTC by Daniel Vrátil
Modified: 2013-09-11 16:37 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Vrátil 2013-03-28 15:32:48 UTC
Use data from KPeople to map additional details on Entities provided by TpLogger,
Comment 1 David Edmundson 2013-06-13 12:34:29 UTC
Note that this is already done in a branch of ktp-text-ui
Comment 2 Daniel Vrátil 2013-09-11 16:37:56 UTC
Git commit e2d8a05023e47f941b8b09f4d31436acd32241ee by Dan Vrátil.
Committed on 11/09/2013 at 16:08.
Pushed by dvratil into branch 'master'.

Add support for KPeople to LogViewer

The main contact view has been reworked to be based on KTp::ContactsModel,
which, when available, uses KPeople. This allows browsing history of entire
personas instead of individual contacts. When KPeople is not available, the
contacts are grouped by account, which matches the old behavior.

The date view calendar has been replaced by a list of dates groupped by months,
which makes it easier to search for logs of contacts that you chat only rarely.

View delegates have been updated too, so the contact and date views now look
more like contact list.

New Settings dialog has been added to allow theme configuration from LogViewer
as well as choosing between ascending and descending sorting of messages.

(Merged and squashed from logviewer-kpeople branch)

DIGEST:
REVIEW: 112437

M  +8    -3    logviewer/CMakeLists.txt
A  +25   -0    logviewer/config/CMakeLists.txt
A  +91   -0    logviewer/config/behavior-config.cpp     [License: GPL (v2+)]
A  +56   -0    logviewer/config/behavior-config.h     [License: GPL (v2+)]
A  +74   -0    logviewer/config/behavior-config.ui
A  +14   -0    logviewer/config/kcm_ktp_logviewer_behavior.desktop
D  +0    -142  logviewer/conversation-date-picker.cpp
D  +0    -65   logviewer/conversation-date-picker.h
A  +400  -0    logviewer/dates-model.cpp     [License: GPL (v2+)]
A  +96   -0    logviewer/dates-model.h     [License: GPL (v2+)]
A  +198  -0    logviewer/dates-view-delegate.cpp     [License: GPL (v2+)]
A  +41   -0    logviewer/dates-view-delegate.h     [License: GPL (v2+)]
A  +125  -0    logviewer/entity-filter-model.cpp     [License: GPL (v2+)]
R  +3    -3    logviewer/entity-filter-model.h [from: logviewer/entity-proxy-model.h - 093% similarity]
D  +0    -124  logviewer/entity-model-item.cpp
D  +0    -61   logviewer/entity-model-item.h
M  +72   -101  logviewer/entity-model.cpp
M  +7    -4    logviewer/entity-model.h
D  +0    -102  logviewer/entity-proxy-model.cpp
A  +245  -0    logviewer/entity-view-delegate.cpp     [License: GPL (v2+)]
A  +51   -0    logviewer/entity-view-delegate.h     [License: GPL (v2+)]
M  +176  -69   logviewer/log-viewer.cpp
M  +19   -6    logviewer/log-viewer.h
M  +3    -1    logviewer/log-viewer.rc
M  +6    -12   logviewer/log-viewer.ui
M  +54   -17   logviewer/message-view.cpp
M  +11   -1    logviewer/message-view.h
A  +463  -0    logviewer/person-entity-merge-model.cpp     [License: GPL (v2+)]
A  +95   -0    logviewer/person-entity-merge-model.h     [License: GPL (v2+)]

http://commits.kde.org/telepathy-text-ui/e2d8a05023e47f941b8b09f4d31436acd32241ee